[drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!

Bug #1865130 reported by yahia farghaly on 2020-02-28
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
High
Seth Forshee
Bionic
Undecided
Unassigned
Eoan
Undecided
knossos456

Bug Description

=== SRU Justification ===
[Impact]
Firmware update of radeon/oland_rlc.bin breaks some radeon cards.

[Fix]
Revert the new firmware.

[Regression Potential]
Low. The old firmware has been used for a long time.

=== Original Bug Report ===

when trying > DRI_PRIME=1 glxgears , the result in dmesg is as following

[ +0.000091] radeon 0000:01:00.0: WB enabled
[ +0.000002] radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0x000000008ac2d26f
[ +0.000001] radeon 0000:01:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0x00000000a848de20
[ +0.000001] radeon 0000:01:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0x000000001e4494a9
[ +0.000001] radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0x0000000098a9748e
[ +0.000001] radeon 0000:01:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0x00000000b6ff734d
[ +0.000212] radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000075a18 and cpu addr 0x000000006b4da526
[ +0.100566] radeon 0000:01:00.0: failed VCE resume (-110).
[ +0.179115] [drm] ring test on 0 succeeded in 1 usecs
[ +0.000004] [drm] ring test on 1 succeeded in 1 usecs
[ +0.000004] [drm] ring test on 2 succeeded in 1 usecs
[ +0.000006] [drm] ring test on 3 succeeded in 3 usecs
[ +0.000004] [drm] ring test on 4 succeeded in 3 usecs
[ +1.171892] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015643] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015509] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015572] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015514] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015405] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015442] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015416] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015388] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +1.015379] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ +0.019924] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
[ +0.000040] radeon 0000:01:00.0: failed initializing UVD (-1).
[ +0.000060] [drm] ib test on ring 0 succeeded in 0 usecs
[ +0.000051] [drm] ib test on ring 1 succeeded in 0 usecs
[ +0.000032] [drm] ib test on ring 2 succeeded in 0 usecs
[ +0.000052] [drm] ib test on ring 3 succeeded in 0 usecs
[ +0.000029] [drm] ib test on ring 4 succeeded in 0 usecs

Also it affects the boot time.

the used OpenGL renderer is:
"OpenGL renderer string: AMD OLAND (DRM 2.50.0, 5.3.0-40-generic, LLVM 9.0.0)"

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu7.1
ProcVersionSignature: Ubuntu 5.3.0-40.32~18.04.1-generic 5.3.18
Uname: Linux 5.3.0-40-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.20.9-0ubuntu7.11
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CompositorRunning: None
CurrentDesktop: communitheme:ubuntu:GNOME
Date: Fri Feb 28 11:50:50 2020
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 6.30.223.271+bdcom, 5.3.0-28-generic, x86_64: installed
 bcmwl, 6.30.223.271+bdcom, 5.3.0-40-generic, x86_64: installed
 virtualbox, 5.2.34, 5.3.0-28-generic, x86_64: installed
 virtualbox, 5.2.34, 5.3.0-40-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06) (prog-if 00 [VGA controller])
   Subsystem: Lenovo 4th Gen Core Processor Integrated Graphics Controller [17aa:3801]
   Subsystem: Lenovo Mars [Radeon HD 8670A/8670M/8750M] [17aa:3801]
InstallationDate: Installed on 2019-09-17 (163 days ago)
InstallationMedia: Ubuntu 18.04.2 LTS "Bionic Beaver" - Release amd64 (20190210)
MachineType: LENOVO 20238
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-40-generic root=UUID=385a4174-5cfe-49c9-b4c3-9e64a251d432 ro
SourcePackage: xorg
Symptom: display
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/23/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: 79CN46WW(V3.05)
dmi.board.asset.tag: No Asset Tag
dmi.board.name: INVALID
dmi.board.vendor: LENOVO
dmi.board.version: 00000000Not Defined
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo G510
dmi.modalias: dmi:bvnLENOVO:bvr79CN46WW(V3.05):bd12/23/2013:svnLENOVO:pn20238:pvrLenovoG510:rvnLENOVO:rnINVALID:rvr00000000NotDefined:cvnLENOVO:ct10:cvrLenovoG510:
dmi.product.family: IDEAPAD
dmi.product.name: 20238
dmi.product.sku: LENOVO_MT_20238
dmi.product.version: Lenovo G510
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.2
version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.8-0ubuntu0~18.04.2
version.xserver-xorg-core: xserver-xorg-core N/A
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A

yahia farghaly (yahiafarghaly) wrote :
description: updated
affects: ubuntu → xorg (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xorg (Ubuntu):
status: New → Confirmed
Harry W. Haines, III (harry17) wrote :

I can confirm that rolling back to linux-firmware=1.173.12 solves the issue with Kernel: 5.3.0-40-generic x86_64.

Здравко (zdravko-garmev) wrote :

Yes, the issue comes up on the last firmware upgrade. Either some bug there or incompatibility, I'm guessing.

affects: xorg (Ubuntu) → linux (Ubuntu)
affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Changed in linux-firmware (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
description: updated
Changed in linux-firmware (Ubuntu):
assignee: Kai-Heng Feng (kaihengfeng) → nobody
Здравко (zdravko-garmev) wrote :
Download full text (6.7 KiB)

Just for completeness, some additional info (could be related) - dmesg result:

[ 5.977604] ACPI Error: Method parse/execution failed \_SB.PCI0.PEG0._PRT, AE_NOT_FOUND (20170831/psparse-550)
[ 5.977887] [drm] initializing kernel modesetting (OLAND 0x1002:0x6604 0x17AA:0x380B 0x00).
[ 5.989606] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[ 5.989606] [drm] Driver supports precise vblank timestamp query.
[ 5.995446] vga_switcheroo: enabled
[ 5.995454] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ 6.003949] ATOM BIOS: Lenovo
[ 6.004078] radeon 0000:01:00.0: VRAM: 2048M 0x0000000000000000 - 0x000000007FFFFFFF (2048M used)
[ 6.004079] radeon 0000:01:00.0: GTT: 2048M 0x0000000080000000 - 0x00000000FFFFFFFF
[ 6.004082] [drm] Detected VRAM RAM=2048M, BAR=128M
[ 6.004082] [drm] RAM width 128bits DDR
[ 6.004128] [TTM] Zone kernel: Available graphics memory: 4041134 kiB
[ 6.004129] [TTM] Zone dma32: Available graphics memory: 2097152 kiB
[ 6.004129] [TTM] Initializing pool allocator
[ 6.004132] [TTM] Initializing DMA pool allocator
[ 6.004147] [drm] radeon: 2048M of VRAM memory ready
[ 6.004148] [drm] radeon: 2048M of GTT memory ready.
[ 6.004156] [drm] Loading oland Microcode
[ 6.004238] [drm] Internal thermal controller without fan control
[ 6.004287] [drm] probing gen 2 caps for device 8086:c01 = 261ad03/e
[ 6.011634] [drm] radeon: dpm initialized
[ 6.013574] [drm] Found VCE firmware/feedback version 50.0.1 / 17!
[ 6.013580] [drm] GART: num cpu pages 524288, num gpu pages 524288
[ 6.014110] ------------[ cut here ]------------
[ 6.014110] Could not determine valid watermarks for inherited state
[ 6.014198] WARNING: CPU: 1 PID: 215 at /build/linux-WUVVsw/linux-4.15.0/drivers/gpu/drm/i915/intel_display.c:14537 intel_modeset_init+0xfcf/0x1010 [i915]
[ 6.014199] Modules linked in: i915(+) radeon(+) ttm i2c_algo_bit drm_kms_helper syscopyarea sysfillrect psmouse sysimgblt fb_sys_fops ahci drm alx libahci mdio video
[ 6.014209] CPU: 1 PID: 215 Comm: systemd-udevd Not tainted 4.15.0-88-generic #88-Ubuntu
[ 6.014210] Hardware name: LENOVO 20238/INVALID, BIOS 79CN46WW(V3.05) 12/23/2013
[ 6.014238] RIP: 0010:intel_modeset_init+0xfcf/0x1010 [i915]
[ 6.014239] RSP: 0018:ffffa52c412bf9b0 EFLAGS: 00010286
[ 6.014240] RAX: 0000000000000000 RBX: ffff92b448fa0000 RCX: ffffffff9f463ae8
[ 6.014241] RDX: 0000000000000001 RSI: 0000000000000096 RDI: 0000000000000247
[ 6.014242] RBP: ffffa52c412bfa40 R08: 00000000000002b1 R09: 0000000000000004
[ 6.014242] R10: 0000000000000040 R11: 0000000000000001 R12: ffff92b455291800
[ 6.014243] R13: ffff92b455425400 R14: 00000000ffffffea R15: ffff92b448fa0358
[ 6.014244] FS: 00007f1ea2076680(0000) GS:ffff92b45f240000(0000) knlGS:0000000000000000
[ 6.014245] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 6.014246] CR2: 0000559644e4ba60 CR3: 000000024964c004 CR4: 00000000001606e0
[ 6.014247] Call Trace:
[ 6.014275] i915_driver_load+0xa73/0xe60 [i915]
[ 6.014299] i915_pci_probe+0x42/0x70 [i915]
[ 6.014303] local_pci_probe+0x47/0xa0
[ ...

Read more...

yahia farghaly (yahiafarghaly) wrote :

Rolling back to linux-firmware=1.173.12 doesn't solve the problem for me

Kai-Heng Feng (kaihengfeng) wrote :

Can you please attach dmesg after rolling back linux-firmware?

Harry W. Haines, III (harry17) wrote :

There are two separate issues presented here now and it has become confusing to the person it was assigned to. The original issue was the latest firmware update: linux-firmware 1.173.15 with the current HWE 5.3.0-40-generic kernel causing issues with the AMD Oland graphics.

It was apparent on boot time there was an issue because usually this system boots in under 10 seconds. Looked in dmesg and saw all the time outs for the Oland card. Rolled back to the previous firmware version, 1.173.12 and the problem went away.

Graphics:
  Device-1: AMD Oland PRO [Radeon R7 240/340] vendor: ASUSTeK driver: radeon

Здравко (zdravko-garmev) wrote :

Just some clarifications, @harry17

The reported issue isn't related only to a single ("current" - probably latest) kernel. The issue isn't stick to any particular kernel; initial report is related to a particular context, of course. When there is some issue related to initial firmware loading (at boot time), this isn't firmware issue, but a driver issue, the driver performing firmware load! Am I wrong?! Here the case is very different. The issue is firmware related, definitely, and the 'symptoms' come up all the time, not only at boot time (at boot is more noticeable, but not restricted to)! There could be (and I believe it is) a driver's 'guilty' too. Before the last firmware update and next rollback, one part (error) from initial report present yet. Especially:

...
[ +0.100566] radeon 0000:01:00.0: failed VCE resume (-110).
...

And repeats again and again all the time when 1.173.12 runs (same like all errors from initial report get repeat while 1.173.15 runs) with kernel 4.15.0-88-generic. The error in "/build/linux-WUVVsw/linux-4.15.0/drivers/gpu/drm/i915/intel_display.c" (in my case) brings up once, initially.

Peter Ries (peterriesde) wrote :

I can confirm that reverting to linux-firmware:amd64=1.173.12 with kernel 5.3.0-40-generic on Xubuntu 18.04.4 solved my problem.

Workaround with kernel parameter "radeon.modeset=0 rd.driver.blacklist=radeon" removed error messages but caused fan to work constantly when watching e. g. youtube in chrome.

Using Samsung ativbook 730U3E with display controller: Advanced Micro Devices, Inc. [AMD/ATI] Mars [Radeon HD 8730M]

Regards
Peter

Peter Ries (peterriesde) wrote :

edit to post #10: my problem was the same as in original posting - just to avoid confusion

Seth Forshee (sforshee) wrote :

@kaihengfeng: This looks like it must be a regression from the updated firmware you sent for bug 1858751. It looks like this has been reverted upstream, so I'm going to go ahead and revert it in our linux-firmware package too.

Changed in linux-firmware (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
Seth Forshee (sforshee) wrote :

I've applied the revert. There's a linux-firmware in bionic-proposed right now which should release on Monday, after that happens I will upload a new package with the revert.

Harry W. Haines, III (harry17) wrote :

Urgent cut in!!
Testing today on a daily build of Kubuntu 20.04 I observed the same issue.
Linux version 5.4.0-14-generic, linux-firmware/focal,now 1.186.

I did a CRC check on the oland_rlc.bin file in linux-firmware 1.186 and it was the same as from the one in linux-firmware/bionic-updates 1.173.15

Please make the necessary adjustments so this issue will not occur in the LTS release of 20.04.

Hello @kaihengfeng, In your test (bug #1858751, post #4):

>Running glxgears at 4K, and it keeps 60FPS after running an hour.
>glxgears dropped to 10 FPS after 5 mins with original firmware.

What is the device under test? In my case (device 0x1002:0x6604) - no such problem before update - speed shakes between 59.98-60.00FPS for half hour, spread uniformly (only 3 samples are below 59.99!). Next the update, everything fail! Different firmware for different devices might be needed (the driver responsibility).

Kai-Heng Feng (kaihengfeng) wrote :

It's 1002:6611 so the behavior can be different.

knossos456 (knossos456) wrote :

I have exactly same error
[drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding,
.....
radeon 0000:01:00.0: failed initializing UVD (-1).

uname -a
Linux adiance 4.15.0-88-generic #88-Ubuntu SMP Tue Feb 11 20:11:34 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

inxi -G
Graphics: Card: Advanced Micro Devices [AMD/ATI] Oland [Radeon HD 8570 / R7 240/340 OEM]
           Display Server: x11 (X.Org 1.19.6 ) driver: radeon Resolution: 1920x1080@60.00hz
           OpenGL: renderer: AMD OLAND (DRM 2.50.0, 4.15.0-88-generic, LLVM 9.0.0) version: 4.5 Mesa 19.2.8

I have UVD problem with linux-firmware 1.173.16 and 1.173.15.
No more VAAPI hardware decoding, dual CPU rise to 70 % for H.264 video at 1080i (broadcast live) / 1080p (broadband live)

Revert to 1.173.14 or earlier solve the problem (and updates for linux-firmware blocked)

Earlier kernels selecting via grub same result.

knossos456 (knossos456) wrote :

Tested today on Focal Fossa nighty build on same hardware above:

dpkg -l linux-firmware
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii linux-firmware 1.186 all Firmware for Linux kernel drivers

same problem :
dmesg |grep UVD
[ 2.937115] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 3.949090] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 4.961061] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 5.973034] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 6.985005] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 7.996977] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 9.008948] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 10.020920] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 11.032891] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 12.044863] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 12.064733] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
[ 12.064740] radeon 0000:01:00.0: failed initializing UVD (-1).

Seth Forshee (sforshee) wrote :

Yes, sorry, I was blocked from uploading new linux-firmware packages for various reasons. All of the blocking issues are cleared up now, so I will upload new packages today.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.187

---------------
linux-firmware (1.187) focal; urgency=medium

  * Sound doesn't work on Lenovo X1 Carbon 7th with 20.04 (LP: #1860697)
    - SAUCE: update sof firmwares to v1.4.2

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    8eb0b281511d6455ca9151e52f694dc982193251 (LP: #1865130)
    - check_whence: python3/utf-8 support
    - Makefile: improve `make check` usefulness
    - mediatek: Remove in-tree symlinks
    - qca: Fix blueooth firmware name for QCA6174
    - mediatek: move MT8173 VPU FW to subfolder
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - qca: Add firmware files for BT chip wcn3991.
    - nvidia: add TU116/117 signed firmware
    - drm/amdgpu: update to latest 19.50 firmware for raven
    - mediatek: update MT8173 VPU firmware to v1.1.4
    - rtl_nic: update firmware for RTL8153A
    - rtl_bt: Update RTL8822C BT FW to V0x0998_C2B4
    - linux-firmware: add firmware for MT7622
    - linux-firmware: add version 2 for MT7615E
    - amdgpu: update to latest navi10 firmware from 19.50
    - Revert "radeon: update oland rlc microcode from amdgpu"
    - amlogic: update video decoder firmwares
    - amdgpu: add renoir firmware for 19.50
    - amdgpu: update raven2 firmware for 19.50
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.12.A.13
    - qca: update bluetooth firmware for QCA6174
    - i915: add HuC firmware v7.0.12 for TGL
    - i915: Add DMC firmware v2.06 for TGL
    - rtl_bt: Add firmware and configuration files for RTL8822C BT UART chip
    - amdgpu: update vega10 firmware from 19.50
    - amdgpu: update vega12 firmware from 19.50
    - amdgpu: update vega20 firmware from 19.50
    - linux-firmware: Update firmware file for Intel Bluetooth 9260
    - linux-firmware: Update firmware file for Intel Bluetooth 9560
    - linux-firmware: Update firmware file for Intel Bluetooth AX201
    - linux-firmware: Update firmware file for Intel Bluetooth AX200

 -- Seth Forshee <email address hidden> Thu, 19 Mar 2020 11:37:49 -0500

Changed in linux-firmware (Ubuntu):
status: Confirmed → Fix Released

Hello yahia, or anyone else affected,

Accepted linux-firmware into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.183.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Eoan):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Bionic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

Hello yahia, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.17 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

knossos456 (knossos456) wrote :

problem solved for me (bionic)

dpkg -l linux-firmware
...
linux-firmware 1.173.17 all Firmware for Linux kernel drivers

dmesg |grep UVD
[ 31.608796] [drm] UVD initialized successfully.

knossos456 (knossos456) on 2020-03-20
Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
Seth Forshee (sforshee) on 2020-03-20
tags: added: verification-done-bionic
Françesc (dersuuzalachillout) wrote :

My Gnome desktop environment has disappeared, at least as I had it configured, and I cannot solve it. The log messages give me these results:

11:32:52 bluetoothd: Failed to set mode: Blocked through rfkill (0x12)
11:32:51 spice-vdagent: Cannot access vdagent virtio channel /dev/virtio-ports/com.redhat.spice.0
11:32:49 pulseaudio: [pulseaudio] backend-ofono.c: Failed to register as a handsfree audio agent with ofono: org.freedesktop.DBus.Error.ServiceUnknown: The name org.ofono was not provided by any .service files
11:32:08 bluetoothd: Failed to set mode: Blocked through rfkill (0x12)
11:32:05 wpa_supplicant: dbus: Failed to construct signal
11:32:04 pulseaudio: [pulseaudio] main.c: Failed to acquire autospawn lock
11:32:01 kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
11:32:01 kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
11:32:01 kernel: radeon 0000:01:00.0: failed VCE resume (-110).
11:32:01 kernel: do_IRQ: 3.55 No irq handler for vector

knossos456 (knossos456) wrote :

please provide the informations:

dpkg -l linux-firmware

and

lsb_release -a

Please notice that if you had apply the new linux-firmware, you need to restart the machine to take effect

Françesc (dersuuzalachillout) wrote :

Deseado=desconocido(U)/Instalar/eliminaR/Purgar/retener(H)
| Estado=No/Inst/ficheros-Conf/desempaqUetado/medio-conF/medio-inst(H)/espera-disparo(W)/pendienTe-disparo
|/ Err?=(ninguno)/requiere-Reinst (Estado,Err: mayúsc.=malo)
||/ Nombre Versión Arquitectura Descripción
+++-==============-============-============-=================================
ii linux-firmware 1.173.16 all Firmware for Linux kernel drivers

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

Françesc (dersuuzalachillout) wrote :

No, i didn't applied none linux-firmware, i am a little bit scared using terminal mr. Knossos.

If you show me what package and how to install it, I will be very grateful!

Hi @dersuuzalachillout,
You can just open a terminal window and run inside (line by line, in sequence):

wget http://archive.ubuntu.com/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.173.17_all.deb
sudo dpkg -i linux-firmware_1.173.17_all.deb
rm linux-firmware_1.173.17_all.deb

Type your password (when 'sudo' ask you) and when everything gets done reboot your computer. Is there any change? 😉😎

Françesc (dersuuzalachillout) wrote :

Hey, Mr. Здравко (zdravko-garmev), thanks for the answer.

Unfortunately, I have not experienced any changes, the problem continues ... In the last command rm linux-firmware_1.173.17_all.deb, the terminal asked me if I should delete the file, and I said yes, is that correct?

knossos456 (knossos456) wrote :

If sudo dpkg -i linux-firmware_1.173.17_all.deb has success , yes you can delete the file.
And to take effect, you have to reboot the machine as written by zdravko. Only after reboot you can test again

Solomon Nadar (solomonsunder) wrote :
Download full text (4.3 KiB)

Now it is back to "radeon 0000:03:00.0: failed VCE resume (-110)."

@Aspire-E1-572G:~$ dmesg | grep radeon
[ 1.704846] [drm] radeon kernel modesetting enabled.
[ 1.705248] radeon 0000:03:00.0: remove_conflicting_pci_framebuffers: bar 0: 0xa0000000 -> 0xafffffff
[ 1.705250] radeon 0000:03:00.0: remove_conflicting_pci_framebuffers: bar 2: 0xc0500000 -> 0xc053ffff
[ 1.705263] radeon 0000:03:00.0: enabling device (0000 -> 0003)
[ 1.736776] radeon 0000:03:00.0: VRAM: 2048M 0x0000000000000000 - 0x000000007FFFFFFF (2048M used)
[ 1.736778] radeon 0000:03:00.0: GTT: 2048M 0x0000000080000000 - 0x00000000FFFFFFFF
[ 1.736895] [drm] radeon: 2048M of VRAM memory ready
[ 1.736896] [drm] radeon: 2048M of GTT memory ready.
[ 1.745652] [drm] radeon: dpm initialized
[ 1.758577] radeon 0000:03:00.0: WB enabled
[ 1.758580] radeon 0000:03:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0x000000000b922bb2
[ 1.758581] radeon 0000:03:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0x000000006468c07f
[ 1.758582] radeon 0000:03:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0x00000000824579d7
[ 1.758583] radeon 0000:03:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0x00000000815d08f8
[ 1.758584] radeon 0000:03:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0x000000008fb35308
[ 1.759379] radeon 0000:03:00.0: fence driver on ring 5 use gpu addr 0x0000000000075a18 and cpu addr 0x00000000ae56c323
[ 1.860176] radeon 0000:03:00.0: failed VCE resume (-110).
[ 1.860181] radeon 0000:03:00.0: radeon: MSI limited to 32-bit
[ 1.860224] radeon 0000:03:00.0: radeon: using MSI.
[ 1.860258] [drm] radeon: irq initialized.
[ 2.939589] [drm] Initialized radeon 2.50.0 20080528 for 0000:03:00.0 on minor 1
[ 26.508807] radeon 0000:03:00.0: WB enabled
[ 26.508809] radeon 0000:03:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0x000000000b922bb2
[ 26.508811] radeon 0000:03:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0x000000006468c07f
[ 26.508812] radeon 0000:03:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0x00000000824579d7
[ 26.508813] radeon 0000:03:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0x00000000815d08f8
[ 26.508814] radeon 0000:03:00.0: fence driver on ring 4 use gpu addr 0x0000000080000c10 and cpu addr 0x000000008fb35308
[ 26.509622] radeon 0000:03:00.0: fence driver on ring 5 use gpu addr 0x0000000000075a18 and cpu addr 0x00000000ae56c323
[ 26.610391] radeon 0000:03:00.0: failed VCE resume (-110).
[ 36.587124] radeon 0000:03:00.0: WB enabled
[ 36.587126] radeon 0000:03:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0x000000000b922bb2
[ 36.587127] radeon 0000:03:00.0: fence driver on ring 1 use gpu addr 0x0000000080000c04 and cpu addr 0x000000006468c07f
[ 36.587128] radeon 0000:03:00.0: fence driver on ring 2 use gpu addr 0x0000000080000c08 and cpu addr 0x00000000824579d7
[ 36.587129] radeon 0000:03:00.0: fence driver on r...

Read more...

Solomon Nadar (solomonsunder) wrote :

Missed the UVD part. Seems that is fixed.

@Aspire-E1-572G:~$ dmesg |grep UVD
[ 2.273739] [drm] UVD initialized successfully.
[ 27.022685] [drm] UVD initialized successfully.
[ 37.101343] [drm] UVD initialized successfully.
[ 582.474512] [drm] UVD initialized successfully.

Françesc (dersuuzalachillout) wrote :

Hey again mr. knossos456 (knossos456) and Здравко (zdravko-garmev), and thanks for your helps, but i reboot, yes, and no changes...

Françesc (dersuuzalachillout) wrote :
Download full text (3.2 KiB)

If more information needed...

    product: Aspire E5-551G (Aspire E5-551G_086A_V1.08)

 descripción: CPU
          producto: AMD A10-7300 Radeon R6, 10 Compute Cores 4C+6G
          fabricante: Advanced Micro Devices [AMD]
          id físico: 4
          información del bus: cpu@0
          versión: AMD A10-7300 Radeon R6, 10 Compute Cores 4C+6G
          serie: NotSupport
          ranura: Socket FP3
          tamaño: 1250MHz
          capacidad: 1900MHz
          anchura: 64 bits
          reloj: 100MHz

 descripción: VGA compatible controller
             producto: Kaveri [Radeon R6 Graphics]

  *-disk
             descripción: ATA Disk
             producto: SanDisk SSD PLUS
             id físico: 0.0.0
             información del bus: scsi@0:0.0.0
             nombre lógico: /dev/sda
             versión: 00RL
             serie: 184594802576
             tamaño: 447GiB (480GB)
             capacidades: partitioned partitioned:dos
             configuración: ansiversion=5 logicalsectorsize=512 sectorsize=512 signature=c22322fd
           *-volume:0
                descripción: Windows NTFS volumen
                id físico: 1
                información del bus: scsi@0:0.0.0,1
                nombre lógico: /dev/sda1
                versión: 3.1
                serie: d80b-5c10
                tamaño: 498MiB
                capacidad: 500MiB
                capacidades: primary bootable ntfs initialized
                configuración: clustersize=4096 created=2017-09-11 18:10:39 filesystem=ntfs label=Reservado para el sistema modified_by_chkdsk=true mounted_on_nt4=true resize_log_file=true state=dirty upgrade_on_mount=true
           *-volume:1
                descripción: Windows NTFS volumen
                id físico: 2
                información del bus: scsi@0:0.0.0,2
                nombre lógico: /dev/sda2
                versión: 3.1
                serie: a8b72e55-2ee1-2a4e-91d9-182560e67966
                tamaño: 95GiB
                capacidad: 95GiB
                capacidades: primary ntfs initialized
                configuración: clustersize=4096 created=2017-11-30 15:23:41 filesystem=ntfs state=clean
           *-volume:2
                descripción: Extended partition
                id físico: 3
                información del bus: scsi@0:0.0.0,3
                nombre lógico: /dev/sda3
                tamaño: 351GiB
                capacidad: 351GiB
                capacidades: primary extended partitioned partitioned:extended
              *-logicalvolume
                   descripción: partición EXT4
                   fabricante: Linux
                   id físico: 5
                   nombre lógico: /dev/sda5
                   nombre lógico: /
                   versión: 1.0
                   serie: 3aac0dd9-fe52-4e9e-9abf-4fa7f443fc08
                   tamaño: 351GiB
                   capacidad: 351GiB
                   capacidades: journaled extended_attributes large_files huge_files dir_nlink recover 64bit extents ext4 ext2 initialized
                   configuración: created=2019-01-23 13:51:25 filesystem=ext4 lastmountpoint=/ modified=2020-03-17 14:38:03 mount.fstype=ext4 mount.options=rw,relatime,er...

Read more...

knossos456 (knossos456) wrote :

Yes provide again :
dpkg -l linux-firmware

Seems your graphic card isen't Oland seies
Please provide also :
inxi -G

Françesc (dersuuzalachillout) wrote :

Deseado=desconocido(U)/Instalar/eliminaR/Purgar/retener(H)
| Estado=No/Inst/ficheros-Conf/desempaqUetado/medio-conF/medio-inst(H)/espera-disparo(W)/pendienTe-disparo
|/ Err?=(ninguno)/requiere-Reinst (Estado,Err: mayúsc.=malo)
||/ Nombre Versión Arquitectura Descripción
+++-==============-============-============-=================================
ii linux-firmware 1.173.17 all Firmware for Linux kernel drivers

Graphics: Card-1: Advanced Micro Devices [AMD/ATI] Kaveri [Radeon R6 Graphics]
           Card-2: Advanced Micro Devices [AMD/ATI] Opal XT [Radeon R7 M265/M365X/M465]
           Display Server: X.Org 1.19.6
           drivers: ati,radeon (unloaded: modesetting,fbdev,vesa)
           Resolution: 1366x768@60.02hz
           OpenGL: renderer: AMD KAVERI (DRM 2.50.0, 4.15.0-91-generic, LLVM 9.0.0)
           version: 4.5 Mesa 19.2.8

Hi @dersuuzalachillout,
That's really strange! Did you check if reverting back to previous version solves the issue?
Repeat the commands in my previous post, while replace in all 3 lines "linux-firmware_1.173.17_all.deb" to "linux-firmware_1.173.12_all.deb". Don't forget reboot at the end. Let's see the result.
After reboot, post output of:

dmesg | grep UVD

knossos456 (knossos456) wrote :

And please post before AND after revert to linux-firmware_1.173.12_all.deb
dmesg | grep UVD

Lim Choon Siong (limcho) wrote :
Download full text (4.2 KiB)

Greetings. This is my first post.

My laptop is Samsung Series 5 Ultra NP530UE4. Previous linux-firmware had the same error message related to AMD Radeon GPU.

I have applied the followings:

a. wget http://archive.ubuntu.com/ubuntu/pool/main/l/linux-firmware/linux-firmware_1.173.17_all.deb
b. sudo dpkg -i linux-firmware_1.173.17_all.deb
c. systemctl reboot

Exported log (previous boot) search for UVD:
12:50:53 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
12:50:53 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
12:50:53 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
12:50:53 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
 8:49:40 AM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
 8:49:40 AM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
 8:49:39 AM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
 8:49:39 AM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
27 Mar 9:22:42 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
27 Mar 9:22:42 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
27 Mar 9:22:08 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
27 Mar 9:22:08 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
27 Mar 9:18:17 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
27 Mar 9:18:17 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
27 Mar 9:17:57 PM kernel: radeon 0000:01:00.0: failed initializing UVD (-1).
27 Mar 9:17:57 PM kernel: [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!

Exported log (current boot) search for UVD:
 2:53:51 PM kernel: [drm] UVD initialized successfully.

Following are test information I have captured.

SamSungS5a-Ubuntu:~$ dpkg -l linux-firmware
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===================-==============-==============-===========================================
ii linux-firmware 1.173.17 all Firmware for Linux kernel drivers

SamSungS5a-Ubuntu:~$ lspci -k | grep -EA3 "VGA|Display"
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
 Subsystem: Samsung Electronics Co Ltd 3rd Gen Core processor Graphics Controller
 Kernel driver in use: i915
 Kernel modules: i915
--
01:00.0 Display controller: Advanced Micro Devices, Inc. [AMD/ATI] Mars [Radeon HD 8670A/8670M/8750M] (rev ff)
 Kernel driver in use: radeon
 Kernel modules: radeon, amdgpu
02:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)

SamSungS5a-Ubuntu:~$ glxinfo | grep "OpenGL renderer"
OpenGL renderer string: Mesa DRI Intel(R) Ivybridge Mobile

SamSungS5a-Ubuntu:~$ DRI_PRIME=1 glxinfo | grep "OpenGL renderer"
OpenGL renderer string: AMD OLAND (DRM 2.50.0, 4.15.0-91-generic, LLVM 9.0.0...

Read more...

Françesc (dersuuzalachillout) wrote :

Thank you very much, mrs. Здравко and knossos for your time and attention. I have blind faith in you and total confidence, masters.
Following are the results of your directions, one after the other. Thank you.

[ 3.000190] [drm] Found UVD firmware Version: 1.64 Family ID: 9
[ 3.126103] [drm] UVD initialized successfully.
[ 7.948324] [drm] UVD initialized successfully.
[ 5498.782010] [drm] UVD initialized successfully.
[ 5501.144068] [drm] UVD initialized successfully.
[ 5506.214906] [drm] UVD initialized successfully.

Now I have followed the steps again changing firmware .17 for .12 and I get ready to reboot.

Françesc (dersuuzalachillout) wrote :

After reboot, everything remains the same: unchanged.
Let me ask you a question: In the previous analysis messages, did you detect any problems? I ask it because I am not able to interpret them ... sorry.

Now, again:

[ 4.527198] [drm] Found UVD firmware Version: 1.64 Family ID: 9
[ 4.651090] [drm] UVD initialized successfully.
[ 9.486053] [drm] UVD initialized successfully.

Françesc (dersuuzalachillout) wrote :

Actually, the problem I have is that I can't access any of the Ubuntu customization tabs. The retractable dock I had below is now on the left side, but I repeat: I do not have access to customize or manage anything related to Ubuntu software. Nothing. In the three icons at the top right, clicking on the "TOOLS" icon nothing happens.

Françesc (dersuuzalachillout) wrote :
Download full text (72.8 KiB)

I am going to attach a DMESG in case it is of any use to you. Thanks again.

[ 0.000000] Linux version 4.15.0-91-generic (buildd@lgw01-amd64-013) (gcc version 7.4.0 (Ubuntu 7.4.0-1ubuntu1~18.04.1)) #92-Ubuntu SMP Fri Feb 28 11:09:48 UTC 2020 (Ubuntu 4.15.0-91.92-generic 4.15.18)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-91-generic root=UUID=3aac0dd9-fe52-4e9e-9abf-4fa7f443fc08 ro quiet splash vt.handoff=1
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] [Firmware Info]: CPU: Re-enabling disabled Topology Extensions Support.
[ 0.000000] random: get_random_u32 called from bsp_init_amd+0x207/0x2c0 with crng_init=0
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[ 0.000000] x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]: 256
[ 0.000000] x86/fpu: Enabled xstate features 0x7, context size is 832 bytes, using 'standard' format.
[ 0.000000] e820: BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x000000000009f3ff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009f400-0x000000000009ffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000000e0000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x0000000089262fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000089263000-0x0000000089a63fff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000089a64000-0x0000000089abbfff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000089abc000-0x000000008aabbfff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000008aabc000-0x000000008f6befff] usable
[ 0.000000] BIOS-e820: [mem 0x000000008f6bf000-0x000000008fabefff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000008fabf000-0x000000008fbbefff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x000000008fbbf000-0x000000008fbfefff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x000000008fbff000-0x000000008fbfffff] usable
[ 0.000000] BIOS-e820: [mem 0x000000008fc00000-0x00000000cfffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000f8000000-0x00000000fbffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec00000-0x00000000fec00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec10000-0x00000000fec10fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fec20000-0x00000000fec20fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fed80000-0x00000000fed80fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fee00000-0x00000000fee00fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000ff800000-0x00000000ffffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000100000000-0x000000022effffff] usable
[ 0.000000] NX (Execute Disable) protection: active
[ 0.000000] SMBIOS 2.8 present.
[ 0.000000] DMI: Acer Aspire E5-551G/EA50_KV , BIOS V1.08 08/22/2014
[ 0.000000] e820: update [mem 0x00000000-0x00000fff] usable ==> reserved
[ 0.000000] e820: remove [mem 0x000a0000-0x000fffff] usable
[ 0.000000] e820: last_pfn = 0x...

Françesc (dersuuzalachillout) wrote :

Report an error message: [9.044796] radeon 0000: 01: 00.0: failed VCE resume (-110).

knossos456 (knossos456) wrote :

This is a normal error message, indicating you haven't a hardware encoder.
I have same message since the beginning.
Hardware decoding are related to UVD.
And you have :
[ 9.486053] [drm] UVD initialized successfully.
problem solved.

knossos456 (knossos456) wrote :

Question to maintainer :
 1.173.17 proposed (main)
When will this release go to real updates, 7 days are gone.

Françesc (dersuuzalachillout) wrote :

Sorry mr. Knossos, but i still having that problem:

Actually, the problem I have is that I can't access any of the Ubuntu customization tabs. The retractable dock I had below is now on the left side, but I repeat: I do not have access to customize or manage anything related to Ubuntu software. NOTHING. In the three icons at the top right, clicking on the "TOOLS" icon nothing happens. I can't do anything else that start and shut down the computer.

knossos456 (knossos456) wrote :

Ok, but this has nothing to do with the title, and nothing to do with lauchpad.
Please use normal Ubuntu forum support

On Sun, Mar 29, 2020 at 06:35:08AM -0000, knossos456 wrote:
> Question to maintainer :
> 1.173.17 proposed (main)
> When will this release go to real updates, 7 days are gone.

We generally don't release SRU updates over weekends (including Friday),
so it will probably get released today.

Seth Forshee (sforshee) wrote :

Also no one has verified the -proposed package on eoan yet. Is anyone affected running eoan and able to verify the fix there?

knossos456 (knossos456) wrote :

To do this i need a eoan iso with embedded proposed package -> to build a usb boot stick. So I can test on my hardware. I haven't room on my HDD sorry.
Did you know where i can find this?

Seth Forshee (sforshee) wrote :

On Mon, Mar 30, 2020 at 02:06:16PM -0000, knossos456 wrote:
> To do this i need a eoan iso with embedded proposed package -> to build a usb boot stick. So I can test on my hardware. I haven't room on my HDD sorry.
> Did you know where i can find this?

http://releases.ubuntu.com/19.10/ubuntu-19.10-desktop-amd64.iso

Thanks!

knossos456 (knossos456) wrote :

This is standard eoan.
To apply the proposed package, i need to reboot ... and loose new package on usb stick.
I need a eoan with the proposed package built in, or I need to search how to build a persistant eoan usb key

Csaba Marko (csabamarko) wrote :
Download full text (3.1 KiB)

Hi,

I have the same error.
Fortunately, the display/card seem to work, it is just the error is there.
Would the patch be part of the Ubuntu 18.04 LTS?
I'm adding my tech. details here, if that helps:

# dmesg part:
[ 2.772725] radeon 0000:02:00.0: failed VCE resume (-110).
[ 2.772729] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[ 2.772730] [drm] Driver supports precise vblank timestamp query.
[ 2.772731] radeon 0000:02:00.0: radeon: MSI limited to 32-bit
[ 2.772762] radeon 0000:02:00.0: radeon: using MSI.
[ 2.772781] [drm] radeon: irq initialized.
[ 2.914327] [drm] ring test on 0 succeeded in 2 usecs
[ 2.914330] [drm] ring test on 1 succeeded in 1 usecs
[ 2.914333] [drm] ring test on 2 succeeded in 1 usecs
[ 2.914339] [drm] ring test on 3 succeeded in 3 usecs
[ 2.914344] [drm] ring test on 4 succeeded in 3 usecs
[ 4.082192] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 5.094228] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 6.106253] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 7.118290] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 8.130322] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 9.142322] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 10.154347] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 11.166363] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 12.178383] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 13.190399] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, trying to reset the VCPU!!!
[ 13.210256] [drm:uvd_v1_0_start [radeon]] *ERROR* UVD not responding, giving up!!!
[ 13.210259] radeon 0000:02:00.0: failed initializing UVD (-1).
[ 13.210459] [drm] ib test on ring 0 succeeded in 0 usecs
[ 13.210488] [drm] ib test on ring 1 succeeded in 0 usecs

$ dpkg -l linux-firmware
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=======================================-========================-========================-==================================
ii linux-firmware 1.173.16 all Firmware for Linux kernel drivers

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

$ lspci | grep -i vga
02:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Oland PRO [Radeon R7 240/340]

$ cat /etc/default/grub
...
GRUB_DEFAULT=0
GRUB_TIMEOUT_STYLE=hidden
GRUB_TIMEOUT=0
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=...

Read more...

knossos456 (knossos456) wrote :

@ Csaba Marko : You must apply post 28 and test AFTER reboot

knossos456 (knossos456) wrote :

@ Seth Forshee (sforshee) :

I've managed persistant eoan usb stick

ubuntu@ubuntu:~$ dpkg -l linux-firmware
....
+++-==============-============-============-=================================
ii linux-firmware 1.183.5 all Firmware for Linux kernel drivers

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 5.3.0-18-generic #19-Ubuntu SMP Tue Oct 8 20:14:06 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux

ubuntu@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 19.10
Release: 19.10
Codename: eoan

ubuntu@ubuntu:~$ dmesg |grep UVD
[ 1.814075] [drm] UVD initialized successfully.

problem solved too

Changed in linux-firmware (Ubuntu Eoan):
status: Fix Committed → Fix Released
assignee: nobody → knossos456 (knossos456)
Seth Forshee (sforshee) wrote :

@knossos456 thanks, the fix release status though is for when the package has been released. I've added the verification-done-eoan tag.

Changed in linux-firmware (Ubuntu Eoan):
status: Fix Released → Fix Committed
tags: added: verification-done-eoan
knossos456 (knossos456) wrote :

OK
Hope the release goes out ;)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers